Bug 226647 - www/apache24: Update to 2.4.33
Summary: www/apache24: Update to 2.4.33
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Jochen Neumeister
URL: https://bz.apache.org/bugzilla/show_b...
Keywords: patch-ready
Depends on:
Blocks: 226261
  Show dependency treegraph
 
Reported: 2018-03-15 21:11 UTC by Jochen Neumeister
Modified: 2018-04-02 18:07 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (apache)


Attachments
svn diff for www/apache24 (3.00 KB, patch)
2018-03-15 22:04 UTC, Bernard Spil
no flags Details | Diff
svn diff for www/apache24 (5.31 KB, patch)
2018-03-15 22:51 UTC, Bernard Spil
no flags Details | Diff
svn diff for www/apache24 (7.92 KB, patch)
2018-03-18 19:15 UTC, Bernard Spil
no flags Details | Diff
svn diff for www/apache24 (10.83 KB, patch)
2018-03-23 16:06 UTC, Bernard Spil
no flags Details | Diff
svn diff for www/apache24 (32.94 KB, patch)
2018-03-24 13:05 UTC, Bernard Spil
brnrd: maintainer-approval?
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jochen Neumeister freebsd_committer 2018-03-15 21:11:37 UTC
patch is in progress
Comment 1 Bernard Spil freebsd_committer 2018-03-15 22:04:04 UTC
Created attachment 191538 [details]
svn diff for www/apache24

```
www/apache24: Update to 2.4.32

 - Adds UWSGI and MD (acme) module

PR: 226647
Reviewed by: 
Approved by:
Security: ???
```
Comment 2 Bernard Spil freebsd_committer 2018-03-15 22:51:46 UTC
Created attachment 191539 [details]
svn diff for www/apache24

Actually add glue to build mod_md properly.
 * It requires curl, jansson and openssl.
 * Adds _IMPLIES for the Proxy and Session modules
Checked building:
 * with all modules enabled
 * with all modules disabled
 * with only new modules enabled
Comment 3 Bernard Spil freebsd_committer 2018-03-18 19:15:35 UTC
Created attachment 191609 [details]
svn diff for www/apache24

Update patch for 2.4.33.

There was a regression in 2.4.32 (on windows) which prevented release. We can expect 2.4.33 release in a few days.

Discovered issues when mixing base and ports SSL. This is fixed with the update to devel/apr1 bug #226705
Comment 4 Bernard Spil freebsd_committer 2018-03-23 16:06:21 UTC
Created attachment 191753 [details]
svn diff for www/apache24

Add fixes for LibreSSL 2.7
Comment 5 Jochen Neumeister freebsd_committer 2018-03-24 10:24:14 UTC
build successfully in poudriere (10.4, 11.1 & Current [i386/amd64])

Test install on 11.1 amd64 without problems.

I think we can commit it

With hat: apache
Comment 6 Bernard Spil freebsd_committer 2018-03-24 13:05:53 UTC
Created attachment 191783 [details]
svn diff for www/apache24

Rework port. Use more options, include Makefile.modules (became too small) into Makefile. Actually enable/disable modules.
Comment 7 Bernard Spil freebsd_committer 2018-03-24 14:40:02 UTC
```
www/apache24: Update to 2.4.33

 - Add new uwsgi and md modules
 - Fix LibreSSL 2.7.x builds
 - Remove conflicts for non-existent ports
 - There are no slave-ports
 - Coalesce .if WITH_DEBUG blocks
 - Use OPTIONS where possible
 - Remove dead code
 - Actually enable/disable modules in ALL_MODULES loop
 - Add suexec warning
 - Move Makefile.options to Makefile (too small)

PR: 226647
With hat: apache
Approved by: joneum (apache)
MFH: 2018Q1
Security: f38187e7-2f6e-11e8-8f07-b499baebfeaf
```
Comment 8 commit-hook freebsd_committer 2018-03-24 18:26:47 UTC
A commit references this bug:

Author: joneum
Date: Sat Mar 24 18:26:35 UTC 2018
New revision: 465461
URL: https://svnweb.freebsd.org/changeset/ports/465461

Log:
  www/apache24: Update to 2.4.33

   - Add new uwsgi and md modules
   - Fix LibreSSL 2.7.x builds
   - Remove conflicts for non-existent ports
   - There are no slave-ports
   - Coalesce .if WITH_DEBUG blocks
   - Use OPTIONS where possible
   - Remove dead code
   - Actually enable/disable modules in ALL_MODULES loop
   - Add suexec warning
   - Move Makefile.options to Makefile (too small)

  PR:		226647
  With hat:	apache
  Approved by:	brnrd (apache)
  MFH:		MFH2018Q1
  Security:	f38187e7-2f6e-11e8-8f07-b499baebfeaf

Changes:
  head/www/apache24/Makefile
  head/www/apache24/Makefile.modules
  head/www/apache24/Makefile.options
  head/www/apache24/Makefile.options.desc
  head/www/apache24/distinfo
  head/www/apache24/files/patch-configure.in
  head/www/apache24/files/patch-modules_md_md__crypt.c
  head/www/apache24/files/patch-modules_ssl_ssl__private.h
  head/www/apache24/pkg-plist
Comment 9 Bernard Spil freebsd_committer 2018-04-02 18:07:06 UTC
For reference, link to upstream PR for LibreSSL 2.7 fix https://bz.apache.org/bugzilla/show_bug.cgi?id=62236